Update a work order
PUT
/api/work-orders/{id}
const url = 'https://api.getvespy.com/api/work-orders/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"category":"plumbing","description":"example","entryInstructions":"example","priority":"low","propertyId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","scheduledAt":"2026-04-15T12:00:00Z","subcategory":"example","tenantId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","title":"example","unitId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.getvespy.com/api/work-orders/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "category": "plumbing", "description": "example", "entryInstructions": "example", "priority": "low", "propertyId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "scheduledAt": "2026-04-15T12:00:00Z", "subcategory": "example", "tenantId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "title": "example", "unitId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
category
string
description
string
entryInstructions
string
priority
string
propertyId
string format: uuid
scheduledAt
string format: date-time
subcategory
string
tenantId
string format: uuid
title
string
unitId
string format: uuid
Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
workOrder
required
object
assignedStaffUserId
required
string format: uuid
assignedVendorId
required
string format: uuid
category
required
string
completedAt
required
string format: date-time
createdAt
required
string format: date-time
deletedAt
required
string format: date-time
description
required
string
entryInstructions
required
string
id
required
string format: uuid
organizationId
required
string format: uuid
priority
required
string
propertyId
required
string format: uuid
relations
object
assignedStaffUser
required
object
fullName
required
string
id
required
string format: uuid
assignedVendor
required
object
id
required
string format: uuid
name
required
string
property
required
object
id
required
string format: uuid
name
required
string
tenant
required
object
fullName
required
string
id
required
string format: uuid
unit
required
object
id
required
string format: uuid
unitNumber
required
string
scheduledAt
required
string format: date-time
source
required
string
status
required
string
subcategory
required
string
tenantId
required
string format: uuid
title
required
string
unitId
required
string format: uuid
updatedAt
required
string format: date-time
Example
{ "workOrder": { "category": "plumbing", "priority": "low", "source": "staff", "status": "open" }}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}